%define	version	16.2
%define tarballversion %(echo %version|sed -e 's|\\.|-|') 

Summary:	Portable Game Notation (PGN) Manipulator for Chess Games
Name:		pgn-extract
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		Games/Boards
URL:		http://www.cs.kent.ac.uk/people/staff/djb/pgn-extract/
Source0:	ftp://ftp.cs.kent.ac.uk/pub/djb/Extract/pgn-extract-%{tarballversion}.tgz
# (Abel) 15.0-1mdk use mandriva optimization flags
Patch0:		pgn-extract-16.2-makefile.patch
# (Abel) 15.0-1mdk treat '--help' option as '-h'
Patch1:		pgn-extract-15.0-help-option.patch
# (Abel) 15.0-1mdk neater help message
Patch2:		pgn-extract-15.0-help-mesg.patch
# (Abel) 15.0-1mdk allow checkmate symbol '#'
Patch3:		pgn-extract-15.0-allow-checkmate.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Its purpose is for manipulating chess games written in the Portable
Game Notation (PGN).

There are several ways to specify the criteria on which to extract:
textual move sequences, the position reached after a sequence
of moves, information in the tag fields, and material balance in
the ending.

Extracted games may be written out either including or
excluding comments, NAGs, and variations. Games may be given ECO
classifications derived from the accompanying file eco.pgn, or a
customised version provided by the user.

%prep
%setup -q -n %{name}-%{tarballversion}
%patch0 -p1 -b .mdk
%patch1 -p1 -b .helpopt
%patch2 -p1 -b .helpmsg
%patch3 -p1 -b .checkmate

%build
%make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
install -D -m 755 pgn-extract ${RPM_BUILD_ROOT}%{_gamesbindir}/pgn-extract

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README help.html eco.pgn
%{_gamesbindir}/*


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 16.2-1mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 06 2007 Funda Wang <fundawang@mandriva.org> 16.2-1mdv2008.0
+ Revision: 49102
- Rediff patch0
- New version
- Import pgn-extract



* Thu Aug 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 15.0-1mdv2007.0
- Fix Group

* Mon Aug 22 2005 Abel Cheung <deaddog@mandriva.org> 15.0-2mdk
- Patch3: Allow checkmate symbol '#' to exist in pgn file

* Sun Jul 03 2005 Abel Cheung <deaddog@mandriva.org> 15.0-1mdk
- First Mandriva package
